[Launch]
ProgramExecutable=Picard64\picard.exe
DirectoryMoveOK=yes
SupportsUNC=yes
MinOS=7

[Language]
Base=%PortableApps.comLocaleglibc%
CheckIfExists=%PAL:AppDir%\Picard\locale\%PortableApps.comLocaleglibc%\LC_MESSAGES\*.*
DefaultIfNotExists=en

[LanguageFile]
Type=ConfigRead
File=%PAL:DataDir%\settings\picard.reg
Entry='"ui_language"="'
TrimRight='"'

[Activate]
Registry=true

[RegistryKeys]
picard=HKCU\Software\MusicBrainz\Picard

[RegistryCleanUpIfEmpty]
1=HKCU\Software\MusicBrainz

[QtKeysCleanup]
1=Qt Factory Cache 4.8\com.trolltech.Qt.QImageIOHandlerFactoryInterface:
2=Qt Plugin Cache 4.8.false

[DirectoriesMove]
MusicBrainz=%AppData%\MusicBrainz
cache=%LocalAppData%\MusicBrainz\Picard\cache
plugins=%LocalAppData%\MusicBrainz\Picard\plugins

[DirectoriesCleanupIfEmpty]
1=%LocalAppData%\MusicBrainz\Picard
2=%LocalAppData%\MusicBrainz

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\picard.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\picard.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\picard.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite4]
Type=ConfigWrite
File=%PAL:DataDir%\settings\picard.reg
Entry='"ui_language"='
Value='"%PAL:LanguageCustom%"'

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\settings\picard.reg
Find=DEFAULTFPCALCPATH
Replace=%PAL:AppDir:DoubleBackslash%\\Picard\\fpcalc.exe
